CALIBRE-DEBUG(1)

NAME
calibre-debug - calibre-debug

    calibre-debug [opcións]

Varias interfaces de liña de comandos útiles para depurar calibre. Sen opcións, este comando inicia un intérprete de Python incorporado. Tamén pode executar o principal calibre GUI, o visor de libros electrónicos calibre e o editor calibre no modo de depuración.

Tamén contén interfaces para varios bits de calibre que non teñen ferramentas de liña de comandos dedicadas, como a subconfiguración de fontes, a ferramenta de diferenza de libros electrónicos, etc on.

Tamén pode usar calibre-debug para executar scripts autónomos. Para iso úsao así:

calibre-debug -e myscript.py -- --option1 --option2 file1 file2 ...

Todo despois do -- pásase ao guión. Tamén pode usar calibre-debug como un shebang nos guións, así:

#!/usr/bin/env -S calibre-debug -e -- --

Whenever you pass arguments to calibre-debug that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

[OPCIÓNS]

--add-simple-plugin
    Engada un engadido simple (por exemplo un engadido que consista nun só ficheiro .py), indicando a ruta ao ficheiro py que contén o código do engadido.

--command, -c
    Executar código python

--debug-device-driver, -d
    Depurar a detección de dispositivos

--default-programs
    (Des)rexistra calibre dende os programas predeterminados de Windows. --default-programs = (register|unregister)

--diff
    Executar a ferramenta diff de calibre. Por exemplo: calibre-debug --diff file1 file2

--edit-book
    Inicie a ferramenta de calibre "Editar libro" no modo de depuración.

--exec-file, -e
    Execute o código Python no ficheiro.

--explode-book, -x
    Explota o libro no cartafol especificado. Uso: -x file.epub output_dir Exporta o libro como unha colección de ficheiros HTML e metadatos, que podes editar usando ferramentas de edición HTML estándar. Funciona con ficheiros EPUB, AZW3, HTMLZ e DOCX.

--export-all-calibre-data
    Exporta todos os datos de calibre (libros/configuracións/complementos). Normalmente, pediráselle o cartafol de exportación e as bibliotecas para exportar. Tamén pode especificalos como argumentos da liña de comandos para omitir as preguntas. Use camiños absolutos para o cartafol de exportación e as bibliotecas. A palabra clave especial "todos" pode usarse para exportar todas as bibliotecas. Exemplos: calibre-debug --export-all-calibre-data # para uso interactivo calibre-debug --export-all-calibre-data /ruta/a/empty/export/carpeta /ruta/a/biblioteca/carpeta1 /ruta/a/biblioteca2 calibre-debug --export-all-calibre-data /export/folder all # exportar todas as bibliotecas coñecidas

--fix-multiprocessing
    Para uso interno

--gui, -g
    Executar a GUI con depuración habilitada. A saída da depuración envíase a stdout e stderr.

--gui-debug
    Executar a GUI con unha consola de depuración, rexistrando na ruta indicada. Só para uso interno, utilizar a opción -g para executar a GUI en modo depuración

--help, -h
    mostrar esta mensaxe de axuda e saír

--implode-book, -i
    Implosionar un libro previamente explotado. Uso: -i output_dir file.epub Importa o libro dos ficheiros de output_dir que debeu ser creado por unha chamada anterior a --explode-book. Asegúrese de especificar o mesmo tipo de ficheiro que se utilizou ao explotar.

--import-calibre-data
    Importar datos de calibre exportados previamente

--inspect-mobi, -m
    Analizar o ficheiro(s) MOBI na ruta(s) indicada

--paths
    Mostrar as rutas necesarias para instalar o entorno de calibre

--run-plugin, -r
    Executar un complemento que proporciona unha interface de liña de comandos. Por exemplo: calibre-debug -r "Nome do complemento" -- ficheiro1 --opci`ón1 Todo despois do `--`` pasarase ao complemento como argumentos.

--run-test, -t
    Executa a(s) proba(s) nomeada(s). Use o valor especial "todos" para executar todas as probas. Se o nome da proba comeza cun punto, suponse que é un nome de módulo. Se o nome da proba comeza por @, suponse que é un nome de categoría.

--run-without-debug
    Non executes coa marca DEBUG establecida

--shutdown-running-calibre, -s
    Apagar unha instancia do Calibre en execución, de existir. Teña en conta que, se existen traballos en execución, estes cancelaranse en silencio, así que hai que utilizala con coidado.

--subset-font, -f
    Subconfigure o tipo de letra especificado. Use -- despois desta opción para pasar a opción ao programa de subconxunto de fontes.

--test-build
    Probar os módulos binarios na compilación

--version
    mostrar o número de versión do programa e saír

--viewer, -w
    Executa o visor de libros electrónicos no modo de depuración

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal